"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loginIntro = exports.dsIntro = exports.scopedPackageIntro = exports.dslAppIntro = exports.appIntro = exports.workspaceIntro = void 0;
const types_1 = require("../../types");
const color_1 = require("./color");
const format_1 = require("./format");
const link_1 = require("./link");
const workspaceIntro = () => {
    console.log(`
  ${color_1.Text.h1(`Workspace:`)}
  Workspaces are top level client monorepos that contains various packages, such as components, micro frontends,
  design systems, and at least one application. All of these packages can be versioned and released independently.
  This setup provides an enhanced developer experience.

  ${color_1.Text.ul(`This generator automates the following steps for you:`)}
    ${color_1.Text.li(`- Creates a local workspace from a local or remote seed and configures it.`)}
    ${color_1.Text.li(`- Persists the information captured here within the workspace for future use.`)}

  Let's get started!
`);
};
exports.workspaceIntro = workspaceIntro;
const appIntro = () => {
    console.log(`
  ${color_1.Text.h1(`App:`)}
  Create a Genesis application from one of our many best practice and compliant application seeds.

  ${color_1.Text.ul(`This generator automates the following steps for you:`)}
    ${color_1.Text.li(`- Creates a local Genesis app from a local or remote seed and configures it.`)}
    ${color_1.Text.li(`- Persists the information captured here within the app for future use.`)}

  Let's get started!
`);
};
exports.appIntro = appIntro;
const dslAppIntro = () => {
    console.log(`
  ${color_1.Text.h1(`${types_1.dslName} Application:`)}
  Creates a Genesis ${types_1.dslName} Application from our best practice and compliant application seed.

  ${color_1.Text.ul(`This generator automates the following steps for you:`)}
    ${color_1.Text.li(`- Creates a local Genesis ${types_1.dslName} Application from remote seed and configures it.`)}
    ${color_1.Text.li(`- Persists the information captured here within the app for future use.`)}

  Let's get started!
`);
};
exports.dslAppIntro = dslAppIntro;
const scopedPackageIntro = (pkgScope = 'genesislcap', pkgName = 'foundation-ui-monorepo') => {
    const link = 'https://docs.npmjs.com/cli/v7/using-npm/scope';
    console.log(`
  We need to capture some information from you regarding what package scope and package name you wish to use.

                ${color_1.Text.dim(`pkgScope`)}    ${color_1.Text.dim('pkgName')}
  For example: ${color_1.Code.string(`@${pkgScope}/${pkgName}`)}

  See ${(0, link_1.createLink)(link)} for more information.
`);
};
exports.scopedPackageIntro = scopedPackageIntro;
const dsIntro = () => {
    const link = 'https://learn.genesis.global/secure/web-ui-reference/design-systems/intro/';
    console.log(`
  ${color_1.Text.primary(`Design System:`)}
  You may want to create a custom design system for the applications in your workspace.
  A design system allows you to ${format_1.Format.strong(`theme`)} your applications. You can have multiple variants.

  See ${(0, link_1.createLink)(link)} for more information.
`);
};
exports.dsIntro = dsIntro;
const npmIntro = () => console.log(`
  We need to capture the npm token you were provided to access the private ${color_1.Code.string(`@genesislcap`)} npm scope.
  See ${(0, link_1.createLink)('https://learn.genesis.global/secure/web-ui-reference/set-up/#npmrc-token')} for more information.
`);
exports.loginIntro = `You will need to login to the Genesis Platform using the credentials provided to you during your on-boarding.`;
